#ifndef GLOBALINFO_H
#define GLOBALINFO_H

/* 示波器通道 */
enum class OscChannel
{
    CH_A = 0,
    CH_B,
};

/* 示波器通道耦合方式 */
enum class OscChannelCoupling
{
    AC = 0,
    DC,
};

/* 示波器采样率，目前就只要这些 */
enum class OscSampleRate
{
    SR_49KHZ = 0,
    SR_96KHZ,
    SR_781KHZ,
    SR_12_5MHZ,
    SR_100MHZ,
};

/* 示波器通道的输入档位 */
enum class OscChannelRange
{
    CR_100MV = 0,
    CR_250MV,
    CR_500MV,
    CR_1V,
    CR_2V5,
    CR_5V,
    CR_8V,
};

/* 触发方式 */
enum class OscTriggerMode
{
    TM_RISE = 0,    /* 上升沿触发 */
    TM_DOWN,        /* 下降沿触发 */
    TM_DOUBLE,      /* 双边沿触发 */
};

/* 触发灵敏度 */
enum class OscTriggerSensitivity
{
    TS_LOW = 0,     /* 低灵敏度 */
    TS_HIGH,        /* 高灵敏度 */
};




#endif /* GLOBALINFO_H */
